Search found 54 matches

by fincs
Tue Jun 18, 2019 8:33 pm
Forum: DS Development
Topic: mmutil missing
Replies: 3
Views: 115

Re: mmutil missing

For reference, the nds-dev package group contains all packages you need for DS development. :: There are 15 members in group nds-dev: :: Repository dkp-libs 1) default-arm7 2) devkitarm-crtls 3) devkitarm-rules 4) dswifi 5) libfat-nds 6) libfilesystem 7) libnds 8) maxmod-nds 9) nds-examples :: Repos...
by fincs
Tue Jun 18, 2019 12:46 am
Forum: DS Development
Topic: mmutil missing
Replies: 3
Views: 115

Re: mmutil missing

Make sure you have the mmutil pacman package installed. If not, you can use (sudo) (dkp-)pacman -S mmutil to install it.

Tools were moved into /opt/devkitpro/tools/bin some time ago (i.e. they were separated from the toolchains).
by fincs
Sat Jun 01, 2019 6:12 pm
Forum: DS Development
Topic: Forcing resyncClock() on ARM7
Replies: 4
Views: 382

Re: Forcing resyncClock() on ARM7

We don't add code to our toolchains and libraries to work around emulator bugs. You might want to use a better emulator such as no$gba or melonDS; or better yet, real hardware.
by fincs
Sun May 12, 2019 11:42 am
Forum: Switch Development
Topic: dlfcn.h cannot be imported
Replies: 5
Views: 996

Re: dlfcn.h cannot be imported

glew is not part of OpenGL, it's an independent library. And no sorry, we currently don't provide it either. We do provide glad and glfw though.
by fincs
Sun May 05, 2019 12:15 am
Forum: GBA Development
Topic: Code with filename *.iwram.c not placed in IWRAM
Replies: 5
Views: 1078

Re: Code with filename *.iwram.c not placed in IWRAM

There was a small issue in the GBA linker script that prevented .iwram.c files from working; it has been solved recently. You can grab the latest updates by doing pacman -Syu.

Also for your information, there are official channels through which we give support and advice for devkitPro toolchains.
by fincs
Thu May 02, 2019 6:11 pm
Forum: devkitARM
Topic: /c/devkitPro/devkitARM/ doesnt exist
Replies: 5
Views: 1053

Re: /c/devkitPro/devkitARM/ doesnt exist

There isn't a devkitARM checkbox. You're supposed to check the consoles you want to develop for. It looks like you haven't checked any checkbox at all.

Still, your installation can be salvaged. This command should work for installing the necessary packages for 3DS development:

Code: Select all

pacman -S 3ds-dev
by fincs
Thu May 02, 2019 4:01 pm
Forum: devkitARM
Topic: /c/devkitPro/devkitARM/ doesnt exist
Replies: 5
Views: 1053

Re: /c/devkitPro/devkitARM/ doesnt exist

Have you tried following the Getting Started guide? Note that the Windows installer will ask you which systems you want to develop for - you should make sure you're ticking the checkbox for 3DS.
by fincs
Wed May 01, 2019 6:51 pm
Forum: Announcements
Topic: libnx 2.2.0, switch-examples 20190501
Replies: 0
Views: 3380

libnx 2.2.0, switch-examples 20190501

Today we bring you a significant yet important update to libnx bringing things such as 8.0.0 compatibility, or nice features such as a new hardware-accelerated crypto API, VR mode support, light sensor, CPU boost and more! Like always, the following packages are now available through pacman; use sud...
by fincs
Tue Apr 16, 2019 12:13 pm
Forum: Switch Development
Topic: Import not recognized
Replies: 1
Views: 1140

Re: Import not recognized

1) Are you sure you have latest tools and libraries? Please do pacman -Syu to ensure you're upgraded. 2) You're missing console init/deinit code, and other scaffolding code. Please take a look at the template source code to see what a typical console homebrew application should look like. 3) iostrea...
by fincs
Sat Mar 30, 2019 5:38 pm
Forum: Switch Development
Topic: Undefinied reference __locale_ctype_ptr linker error with latest Devkit update
Replies: 1
Views: 572

Re: Undefinied reference __locale_ctype_ptr linker error with latest Devkit update

At some point in the past, it looks like you have tried compiling and installing libnx from git, which overwrote the one from pacman. When you tried upgrading your install pacman failed to replace it with a newer version because it is different from what pacman had previously installed. Basically yo...